# Changelog

## [0.3.10] - 2021-04-23
### Changed
 - Exposed near and far clipping planes in `projectionMatrixFromCameraModel` parameters.

### Added
 - `zFar` and `zNear` documentation to `README.MD`.

## [0.3.9] - 2021-04-12
 - Cleaned up tests.
### Added
 - ESLint.
### Fixed
 - All internal methods now have valid return types.
 - Incorrect dates in `CHANGELOG.md`.
 - NPM vulnerabilities.

### Changed
 - Made `FaceMesh` `load` parameters optional, defaulting to loading default face.
## [0.3.8] - 2021-02-18

### Added
 - pipeline.glContextLost() to indicate that the GL context is lost
 - logLevel() and setLogLevel(...) to customize volume of log output

### Changed
 - License checks now only happen on first pipeline construction

### Fixed
 - pipeline.glContextSet(...) correctly handles multiple invocations


## [0.3.7] - 2021-02-03

### Added
 - Table of contents to `README.md`

### Fixed
 - README now states that the GL active texture state is changed during some GL-specific calls
 - Fixed issues on Chrome for iOS

### Changed
 - Dependencies update
 - Updated README to reference support for iOS WKWebView from iOS 14.3 and later

## [0.3.5] - 2020-11-26

### Added
 - This changelog :-)
 - Console log the version when the library is initialized

### Fixed
 - Prevent flickering when there are no new camera frames
 - Fixed building with recent versions of `worker-loader`

### Changed
 - Dependencies update
 - Remove unnecessary console logging
 - Updated the README to recommend using `visibilitychange` to pause/start the camera


## [0.3.4] - 2020-11-18

### Added
 - Pipeline `destroy()` function

### Fixed
 - Ensure internal GL usage correctly sets the expected active texture
 - Fixed typo in README.md

### Changed
 - Added syntax highlighting to README.md


## [0.3.3] - 2020-11-04

### Added
 - Browser compatibility API and UI
 - README section detailing browser support

### Changed
 - Modifications to browser compatibility API


## [0.3.2] - 2020-11-04

### Added
 - Browser compatibility API and UI

### Fixed
 - Support for Firefox


## [0.3.1] - 2020-11-03

### Fixed
 - Various enums are now available as objects
 - Removed unnecessary TypeScript files included in deployment


## [0.3.0] - 2020-11-02

### Added
 - Support for face landmarks
 - Greatly improved face tracking model

### Fixed
 - Fixes to iPad support

### Changed
 - Dependencies update


## [0.2.12] - 2020-10-19

### Fixed
 - Fixes to iPad support

### Changed
 - Dependencies update


## [0.2.12] - 2020-10-19

### Fixed
 - Fixes to iPad support

### Changed
 - Dependencies update


## [0.2.11] - 2020-09-15

### Fixed
 - Fix issues with iOS 14

### Changed
 - Dependencies update


## [0.2.9] - 2020-07-08

### Fixed
 - Tweaks to computer vision algorithms


## [0.2.6] - 2020-06-09

### Added
 - Support for full head meshes


## [0.2.5] - 2020-06-02

### Added
 - Support for NGROK
 - Added README.md clarifications around licensing


## [0.2.4] - 2020-05-26

Initial release
